Package org.eclipse.emf.cdo.ui

# Interface CDOTopicProvider

All Known Implementing Classes:
  `DefaultTopicProvider`

public interface CDOTopicProvider

Since:
  4.12
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOTopicProvider.Listener`
`static final class`
`CDOTopicProvider.Topic`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTopicListener(CDOTopicProvider.Listener listener)`
`default void`
`changeTopic(CDOTopicProvider.Topic topic, Image newImage, String newText, String newDescription)`
`CDOTopicProvider.Topic[]`
`getTopics()`
`void`
`removeTopicListener(CDOTopicProvider.Listener listener)`

## Method Details

### getTopics

CDOTopicProvider.Topic[] getTopics()

### addTopicListener

void addTopicListener(CDOTopicProvider.Listener listener)

### removeTopicListener

void removeTopicListener(CDOTopicProvider.Listener listener)

### changeTopic

default void changeTopic(CDOTopicProvider.Topic topic, Image newImage, String newText, String newDescription)

Since:
  4.14